Subject: Re: [PATCH net 4/7] net: dsa: mt7530: set both CPU port interfaces to PHY_INTERFACE_MODE_NA

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Mar 2023 19:03:34 -0700

On Tue, 28 Mar 2023 00:57:57 +0300 Arınç ÜNAL wrote:
> I don't appreciate your consistent use of the word "abuse" on my 
> patches. I'm by no means a senior C programmer. I'm doing my best to 
> correct the driver.
> 
> Thank you for explaining the process of phylink with DSA, I will adjust 
> my patches accordingly.
> 
> I suggest you don't take my patches seriously for a while, until I know 
> better.

Maybe my bad, I should have sent you a note on your previous series
already. The patches may be fine, but the commit messages need to do
a better job of describing what the goal of the change is, functionally.

For fixes the bar is even higher because, as Vladimir points out,
commit messages for fixes need to explain what user visible problem 
the patch is resolving. Think of it as a letter to a person using the
switch who hits a problem and wants to look thru the upstream commits
to see if it's already fixed.